Get floor plan by ID
https://api.propexo.com/v1/floor-plans/:floor_plan_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the floor plan
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /v0/listings | Listings |
| /v0/units | Units |
715efc0e-800c-4928-89db-38e5e5d13223The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /v0/listings | Listings |
| /v0/units | Units |
7b012156-df24-46ac-b6c7-422f871cf1b0The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for APPFOLIO
nullThe name associated with the floor plan
| Method | Interface |
|---|---|
| /v0/listings | Listings |
| /v0/units | Units |
1 Bedroom UnitThe marketing name of the floor plan
This field will always be null for APPFOLIO
nullThe code associated with the floor plan
This field will always be null for APPFOLIO
nullDescription of the floor plan
This field will always be null for APPFOLIO
nullThe number of bedrooms associated with the floor plan
This field will always be null for APPFOLIO
nullThe number of bathrooms associated with the floor plan
This field will always be null for APPFOLIO
nullThe number of full bathrooms associated with the floor plan
This field will always be null for APPFOLIO
nullThe number of half bathrooms associated with the floor plan
This field will always be null for APPFOLIO
nullThe maximum number of occupants for the floor plan
This field will always be null for APPFOLIO
nullThe rentable square footage of the floor plan
This field will always be null for APPFOLIO
nullThe gross square footage of the floor plan
This field will always be null for APPFOLIO
nullThe minimum rent of the floor plan
This field will always be null for APPFOLIO
nullThe maximum rent of the floor plan
This field will always be null for APPFOLIO
nullA list of image urls associated with the floor plan
This field will always be null for APPFOLIO
nullThe number of units associated with the floor plan
This field will always be null for APPFOLIO
nullThe deposit amount in cents associated with the floor plan
This field will always be null for APPFOLIO
nullThe raw deposit amount associated with the floor plan
This field will always be null for APPFOLIO
nullThe minimum deposit amount in cents associated with the floor plan
This field will always be null for APPFOLIO
nullThe maximum deposit amount in cents associated with the floor plan
This field will always be null for APPFOLIO
nullThe raw minimum deposit amount associated with the floor plan
This field will always be null for APPFOLIO
nullThe raw maximum deposit amount associated with the floor plan
This field will always be null for APPFOLIO
nullcustom_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTAPPFOLIOThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/floor-plans/:floor_plan_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "715efc0e-800c-4928-89db-38e5e5d13223",
"x_property_id": "7b012156-df24-46ac-b6c7-422f871cf1b0",
"x_location_id": null,
"name": "1 Bedroom Unit",
"marketing_name": null,
"code": null,
"description": null,
"bedrooms": null,
"bathrooms": null,
"bathrooms_full": null,
"bathrooms_half": null,
"max_occupants": null,
"rentable_square_feet": null,
"gross_square_feet": null,
"rent_minimum_in_cents": null,
"rent_maximum_in_cents": null,
"image_urls": null,
"unit_count": null,
"deposit_amount_in_cents": null,
"deposit_amount_raw": null,
"deposit_amount_min_in_cents": null,
"deposit_amount_max_in_cents": null,
"deposit_amount_min_raw": null,
"deposit_amount_max_raw": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}